import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

/*
Classe de test pour savoir si les pions existent avec une couleur.
 */
public class TestPion {
    @Parameterized.Parameter
    protected Pion pionB;
    @Parameterized.Parameter
    protected Pion pionN;

    @Before
    public void setUP(){
        pionB = new Pion(Piece.BLANC);
        pionN = new Pion(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", pionB.getCoul());
        Assert.assertEquals("N", pionN.getCoul());
    }

}