import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

/*
Classe de test pour savoir si les fous existent avec une couleur.
 */
public class TestFou {
    @Parameterized.Parameter
    protected Fou fouB;
    @Parameterized.Parameter
    protected Fou fouN;

    @Before
    public void setUP(){
        fouB = new Fou(Piece.BLANC);
        fouN = new Fou(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", fouB.getCoul());
        Assert.assertEquals("N", fouN.getCoul());
    }

}